## API Endpoints notes

### EntrepreneurApi and SharedApi
#### Endpoint Name Changes
- `/entrepreneur/lcsection/modify/{sectionId}` → `/entrepreneur/sectionCell/modify/{sectionId}`

### Admin api
- `/admin/appointments/upcoming`: is shared not admin
- `/admin/projects/decision`: instanciates classes with `adminId` instead of taking the id from the token
- `/admin/project/add`: 
  - point 1: the doc has this `projects` everywhere this should be `/admin/projects/add` to avoid confusion I think
  - point 2: this doesn't assiociate users with a project I need to add other endopint for that
- `/admin/appoitements/report/{appointmentId}`: 
  - typo: `appoitements` → `appointments`
- `/admin/projects/remove/{projectId}`, `/admin/project/add`, `/admin/projects/decision`, `/admin/projects/pending`: 
  - should need token to delete or add project

### Entrepreneur api
- `/entrepreneur/sectionCell/modify/{sectionId}`:
  - the section-id because of the definition of `sectionCell` schema the `sectionId` is given twice possibly leading to inconsistency. Which is why the path var to be removed:
    - → `/entrepreneur/sectionCell/modify`

### Shared api
- `/shared/project/sectionCell/{projectId}/{sectionId}/{date}`:
  - point 1:
    same point for `project` → `projects`
  - point 2:
    have yet to read `sharedApiService` to see how dates are handled and to see if we agree on values of `date` to make it so it gets the version relative to current date
- `/shared/entrepreneurs/{projectId}`:
  - maybe change to `/shared/projects/entrepreneurs/{projectId}` to match other similair endpoints like `/shared/projects/admin/{projectId}`
- `/shared/appointment/request`:
  - creates the apointement but don't know how it associates other users, potentially multiple classes in one request body, is that possible ?

## TODOs for me

### list 1:
- add back-end server links (backend and auth) for interacting with api through swagger
- get config for that set up in the project

### list 2:
- see what to do about logo img
- see format for date and add it in examples
- ask the form of return of the json of iterables, for now I have put array
- add endpoint for adding users to a project
- update endpoint descriptions
- add examples for values in schemas

